###################################################
### chunk number 1: loadPackage
###################################################
#line 38 "QualityAssess.Rnw"
library(affyPLM)
options(width=40)


###################################################
### chunk number 2: loadData
###################################################
#line 48 "QualityAssess.Rnw"
require(affydata)
data(Dilution)   # an example dataset provided by the affydata package
#FIXME:remove the next line
Dilution = updateObject(Dilution)
Pset <- fitPLM(Dilution)


###################################################
### chunk number 3: weightsImageShow eval=FALSE
###################################################
## #line 62 "QualityAssess.Rnw"
## image(Pset,which=2)


###################################################
### chunk number 4: weightsImageDo eval=FALSE
###################################################
## #line 67 "QualityAssess.Rnw"
## png("Quality-weightimage1a.png",height=4,width=4,pointsize=10,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## image(Pset,which=2)
## dev.off()


###################################################
### chunk number 5: weightscolorImageShow eval=FALSE
###################################################
## #line 82 "QualityAssess.Rnw"
## image(Pset,which=2,col=gray(0:25/25),add.legend=TRUE)
## image(Pset,which=2,col=gray(25:0/25),add.legend=TRUE)


###################################################
### chunk number 6: weightscolorImageDo eval=FALSE
###################################################
## #line 89 "QualityAssess.Rnw"
## png("Quality-weightimage2a.png",height=8,width=8,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## image(Pset,which=2,col=gray(0:25/25),add.legend=T)
## dev.off()
## 
## png("Quality-weightimage2b.png",height=8,width=8,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## image(Pset,which=2,col=gray(25:0/25),add.legend=T)
## dev.off()


###################################################
### chunk number 7: residualImageShow eval=FALSE
###################################################
## #line 114 "QualityAssess.Rnw"
## image(Pset,which=2, type="resids")
## image(Pset,which=2, type="pos.resids")
## image(Pset,which=2, type="neg.resids")
## image(Pset,which=2, type="sign.resids")


###################################################
### chunk number 8: residualImageDo eval=FALSE
###################################################
## #line 121 "QualityAssess.Rnw"
## png("Quality-residualimages1.png",height=4,width=4,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## image(Pset,which=2, type="resids")
## dev.off()
## png("Quality-residualimages2.png",height=4,width=4,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## image(Pset,which=2, type="pos.resids")
## dev.off()
## png("Quality-residualimages3.png",height=4,width=4,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## image(Pset,which=2, type="neg.resids")
## dev.off()
## png("Quality-residualimages4.png",height=4,width=4,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## image(Pset,which=2, type="sign.resids")
## dev.off()


###################################################
### chunk number 9: residualcolorImageShow eval=FALSE
###################################################
## #line 154 "QualityAssess.Rnw"
## image(Pset,which=2,type="resids",col=pseudoPalette(low="darkgreen",high="magenta",mid="lightgrey"),add.legend=TRUE)
## image(Pset,which=2,type="pos.resids",col=pseudoPalette(low="yellow",high="darkblue"),add.legend=TRUE)


###################################################
### chunk number 10: residualcolorImageDo eval=FALSE
###################################################
## #line 160 "QualityAssess.Rnw"
## png("Quality-residualimages5.png",height=8,width=8,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## image(Pset,which=2,type="resids",col=pseudoPalette(low="darkgreen",high="magenta",mid="lightgrey"),add.legend=TRUE)
## dev.off()
## png("Quality-residualimages6.png",height=8,width=8,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## image(Pset,which=2,type="pos.resids",col=pseudoPalette(low="yellow",high="darkblue"),add.legend=TRUE)
## dev.off()


###################################################
### chunk number 11: RLEShow eval=FALSE
###################################################
## #line 189 "QualityAssess.Rnw"
## RLE(Pset,main="RLE for Dilution dataset")


###################################################
### chunk number 12: RLEDo eval=FALSE
###################################################
## #line 193 "QualityAssess.Rnw"
## png("Quality-RLE.png",height=4,width=4,pointsize=10,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## RLE(Pset,main="RLE for Dilution dataset")
## dev.off()


###################################################
### chunk number 13: rleStat
###################################################
#line 208 "QualityAssess.Rnw"
RLE(Pset,type="stats")


###################################################
### chunk number 14: NUSEShow eval=FALSE
###################################################
## #line 219 "QualityAssess.Rnw"
## NUSE(Pset,main="NUSE for Dilution dataset")


###################################################
### chunk number 15: NUSEDo eval=FALSE
###################################################
## #line 223 "QualityAssess.Rnw"
## png("Quality-NUSE.png",height=4,width=4,pointsize=10,res=300,units="in")
## par(mar=c(2.0,2.1,1.6,1.1),oma=c(1,1,0,0))
## NUSE(Pset,main="NUSE for Dilution dataset")
## dev.off()


###################################################
### chunk number 16: nuseStat
###################################################
#line 240 "QualityAssess.Rnw"
 NUSE(Pset,type="stats")


###################################################
### chunk number 17: 
###################################################
#line 251 "QualityAssess.Rnw"
## give ghostscript on Windows a few seconds to catch up (UGLY HACK)
Sys.sleep(10)


